Streams

Module info

To use Akka Streams, add the module to your project:

sbt
val AkkaVersion = "2.6.14+6-d40ab055"
libraryDependencies ++= Seq(
  "com.typesafe.akka" %% "akka-stream" % AkkaVersion,
  "com.typesafe.akka" %% "akka-stream-testkit" % AkkaVersion % Test
)
Maven
<properties>
  <scala.binary.version>2.13</scala.binary.version>
</properties>
<dependencyManagement>
  <dependencies>
    <dependency>
      <groupId>com.typesafe.akka</groupId>
      <artifactId>akka-bom_${scala.binary.version}</artifactId>
      <version>2.6.14+6-d40ab055</version>
      <type>pom</type>
      <scope>import</scope>
    </dependency>
  </dependencies>
</dependencyManagement>
<dependencies>
  <dependency>
    <groupId>com.typesafe.akka</groupId>
    <artifactId>akka-stream_${scala.binary.version}</artifactId>
  </dependency>
  <dependency>
    <groupId>com.typesafe.akka</groupId>
    <artifactId>akka-stream-testkit_${scala.binary.version}</artifactId>
    <scope>test</scope>
  </dependency>
</dependencies>
Gradle
def versions = [
  ScalaBinary: "2.13"
]
dependencies {
  implementation platform("com.typesafe.akka:akka-bom_${versions.ScalaBinary}:2.6.14+6-d40ab055")

  implementation "com.typesafe.akka:akka-stream_${versions.ScalaBinary}"
  testImplementation "com.typesafe.akka:akka-stream-testkit_${versions.ScalaBinary}"
}
Project Info: Akka Streams
Artifact
com.typesafe.akka
akka-stream
2.6.14+6-d40ab055
JDK versions
Adopt OpenJDK 8
Adopt OpenJDK 11
Scala versions2.12.13, 2.13.5
JPMS module nameakka.stream
License
Readiness level
Since 2.5.0, 2017-04-13
Home pagehttps://akka.io/
API documentation
Forums
Release notesakka.io blog
IssuesGithub issues
Sourceshttps://github.com/akka/akka
Found an error in this documentation? The source code for this page can be found here. Please feel free to edit and contribute a pull request.